Subject: Re: Hard freeze with 2.6.10-rc3 and QoS, worked fine with 2.6.9

From: Patrick McHardy <[email-masked]>
Date: Tue, 07 Dec 2004 18:23:46 +0100

Thomas Graf wrote:

>* Patrick McHardy <[email-masked]> 2004-12-07 17:59
>  
>
>>That's also what I thought at first. But the problem is in
>>tcf_action_copy_stats, it assumes a->priv has the same layout as
>>struct tcf_act_hdr, which is not true for struct tcf_police. This
>>patch rearranges struct tcf_police to match tcf_act_hdr.
>>    
>>
>
>Hehe, see my post a few minutes back. I came up with nearly the same
>solution ;-> The only difference to my patch is that I don't touch
>tcf_police if the action code isn't compiled.
>  
>
Either one is fine with me, although I would prefer to see
the number of ifdefs in this area going down, not up :)

Regards
Patrick